Project

Profile

Help

Issue #6583

closed

coreapi is deprecated/unmaintained

Added by evgeni over 2 years ago. Updated over 2 years ago.

Status:
CLOSED - CURRENTRELEASE
Priority:
Normal
Assignee:
Category:
-
Sprint/Milestone:
Start date:
Due date:
Estimated time:
Severity:
2. Medium
Version:
Platform Release:
OS:
Triaged:
Yes
Groomed:
No
Sprint Candidate:
No
Tags:
Sprint:
Sprint 72
Quarter:

Description

pulpcore depends on coreapi: https://github.com/pulp/pulpcore/blob/master/setup.py#L11

however, it did not see a release since 2017: https://pypi.org/project/coreapi and the repository is set to read-only/archived: https://github.com/core-api/python-client

would it be possible to verify if the dependency can be dropped or replaced?

Actions #1

Updated by dkliban@redhat.com over 2 years ago

I don't think we use this dependency anymore.

Actions #2

Updated by fao89 over 2 years ago

  • Triaged changed from No to Yes
  • Sprint set to Sprint 71
Actions #3

Updated by rchan over 2 years ago

  • Sprint changed from Sprint 71 to Sprint 72
Actions #4

Updated by mdellweg over 2 years ago

  • Status changed from NEW to ASSIGNED
  • Assignee set to mdellweg
Actions #5

Updated by pulpbot over 2 years ago

  • Status changed from ASSIGNED to POST

Added by mdellweg over 2 years ago

Revision 706ca9d7

Remove coreapi dependency

fixes #6583 https://pulp.plan.io/issues/6583

Actions #6

Updated by mdellweg over 2 years ago

  • Status changed from POST to MODIFIED
Actions #7

Updated by dkliban@redhat.com over 2 years ago

  • Sprint/Milestone set to 3.4.0
Actions #8

Updated by dkliban@redhat.com over 2 years ago

  • Status changed from MODIFIED to CLOSED - CURRENTRELEASE

Also available in: Atom PDF